QGIS Application - Bug report #11342
add field behaviour
2014-10-07 05:18 AM - Bernhard Strobl

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: GUI

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19636
Description

to reproduce:

1) add a virtual field

2) add a permanent field => field is added but marked as virtual
(symbol) and name is that of the virtual field added in step 1) BUG!
3) close and reopen layer properties => field from step 2) is
displayed as it should, so the bug is on the display side only

Associated revisions

Revision 68de043e - 2014-10-13 09:49 AM - Matthias Kuhn

Virtual fields definition moved to field calculator

This place is more appropriate than the add attributes dialog.
See also http://osgeo-org.1560.x6.nabble.com/Virtual-Fields-Allow-adding-fields-out-of-edit-mode-td5166223.html for a related discussion.

Fix #11342

History

#1 - 2014-10-10 07:18 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression
#2 - 2014-10-13 12:54 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"68de043ecbcf0203b6a3667b488be71f479e5d91".
